register_stair_slab_panel_micro("stone_block", "block", "default:stone_block",
{cracky=3},
{"default_stone_block.png"},
"Stone Block",
"block",
0
)

register_stair_slab_panel_micro("destert_stone_block", "block", "default:desert_stone_block",
{cracky=3},
{"default_desert_stone_block.png"},
"Desert Stone Block",
"block",
0
)

register_stair_slab_panel_micro("sandstone_block", "block", "default:sandstone_block",
{cracky=3},
{"default_sandstone_block.png"},
"Sandstone Block",
"block",
0
)

register_stair_slab_panel_micro("obsidian_block", "block", "default:obsidian_block",
{cracky=3},
{"default_obsidian_block.png"},
"Obsidian Block",
"block",
0
)

register_stair_slab_panel_micro("tinblock", "block", "default:tinblock",
{cracky=3},
{"default_tin_block.png"},
"Tin Block",
"block",
0
)

register_stair_slab_panel_micro("twigs", "block", "trunks:twigs",
{cracky=3},
{"trunks_twigs.png"},
"Twigs Block",
"block",
0
)

register_stair_slab_panel_micro("illuna_stonebrick", "block", "illuna:stonebrick",
{cracky=3},
{"default_stone_brick.png"},
"Stonebrick",
"block",
3
)

local name = {"red", "green", "white", "black", "blue", "brown", "cyan",
		"grey", "dark_green", "dark_grey", "magenta", "orange", "pink",
		"red", "violet", "yellow"}

for i = 1, 16 do
	local name = name[i]
    stairsplus:register_all("moreblocks", "wool_"..name, "wool:"..name, {
        description = name.." Wool",
        tiles = {"wool_"..name..".png"},
        groups = {snappy = 2, choppy = 2, oddly_breakable_by_hand = 3,
                flammable = 3, wool = 1},
        sounds = illuna.node_sound_wool(),
    })
    minetest.register_alias(name..":slab_block_1", "moreblocks:slab_wool_"..name.."_1")
    minetest.register_alias(name..":slab_block_2", "moreblocks:slab_wool_"..name.."_2")
end
minetest.register_alias("wool:white_microslab", "moreblocks:slab_wool_white")

table.insert(circular_saw.known_stairs, "default:stone_block")
table.insert(circular_saw.known_stairs, "default:desert_stone_block")
table.insert(circular_saw.known_stairs, "default:sandstone_block")
table.insert(circular_saw.known_stairs, "default:obsidian_block")
table.insert(circular_saw.known_stairs, "illuna:stonebrick")
